CVE-2012-0420
SUSE Linux Enterprise Desktop 11 SP1,SUSE Linux Enterprise Desktop 11 SP2,SUSE Linux Enterprise Server 11 SP1,SUSE Linux Enterprise Server 11 SP1 for VMware,SUSE Linux Enterprise Server 11 SP2,SUSE Linux Enterprise Server 11 SP2 for VMware
CVE-2012-0420, security advisory, novell, suse linux, suse, security, cve

CVE-2012-0420

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-0420 at MITRE

Description

zypp-refresh-wrapper in SUSE Zypper before 1.3.20 and 1.6.x before 1.6.166 allows local users to create files in arbitrary directories, or possibly have unspecified other impact, via a pathname in the ZYPP_LOCKFILE_ROOT environment variable.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.38
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 770630 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • zypper >= 1.6.166-0.5.1
  • zypper-log >= 1.6.166-0.5.1
Patchnames:
sledsp2-zypper
SUSE Linux Enterprise Server 11 SP2
  • zypper >= 1.6.166-0.5.1
  • zypper-log >= 1.6.166-0.5.1
Patchnames:
slessp2-zypper
SUSE Linux Enterprise Server for VMWare 11 SP2
  • zypper >= 1.6.166-0.5.1
  • zypper-log >= 1.6.166-0.5.1
Patchnames:
slessp2-zypper
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • zypper >= 1.6.166-0.5.1
  • zypper-log >= 1.6.166-0.5.1
Builds
SAT Patch Nr: 6528
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • zypper >= 1.3.21-0.3.1
Builds
SAT Patch Nr: 6527